Page MenuHomePhabricator

[OpenCL] Add cl_khr_subgroup_rotate builtins
ClosedPublic

Authored by svenvh on Apr 22 2022, 6:03 AM.

Diff Detail

Event Timeline

svenvh created this revision.Apr 22 2022, 6:03 AM
Herald added a project: Restricted Project. · View Herald TranscriptApr 22 2022, 6:03 AM
svenvh requested review of this revision.Apr 22 2022, 6:03 AM
Anastasia accepted this revision.Apr 26 2022, 1:59 AM

LGTM! I imagine tablegen side is being tested automatically?

Btw do we need to set the feature macro for SPIR/SPIR-V target and then test it too?

This revision is now accepted and ready to land.Apr 26 2022, 1:59 AM
svenvh updated this revision to Diff 428652.May 11 2022, 7:07 AM

Added macro and macro test. Added reference to Extension spec section.

LGTM! I imagine tablegen side is being tested automatically?

The TableGen definitions are tested by clang/test/Headers/opencl-builtins.cl

Btw do we need to set the feature macro for SPIR/SPIR-V target and then test it too?

Good point! Added.

stuart edited the summary of this revision. (Show Details)May 12 2022, 10:53 AM
This revision was automatically updated to reflect the committed changes.